> ## Documentation Index
> Fetch the complete documentation index at: https://artie.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a Kafka topic

> Deletes a topic and all of its messages. Only topics in the company's customer namespace (starting with `<companyUUID>.customer.`) can be deleted.



## OpenAPI

````yaml https://raw.githubusercontent.com/artie-labs/artie-api-spec/refs/heads/master/openapi.yaml delete /kafka-clusters/{uuid}/topics/{topic}
openapi: 3.1.0
info:
  description: External API endpoints for Artie
  title: Artie API
  version: v1.0.130
servers:
  - url: https://api.artie.com
security:
  - ApiKey: []
paths:
  /kafka-clusters/{uuid}/topics/{topic}:
    delete:
      tags:
        - Kafka Clusters
      summary: Delete a Kafka topic
      description: >-
        Deletes a topic and all of its messages. Only topics in the company's
        customer namespace (starting with `<companyUUID>.customer.`) can be
        deleted.
      operationId: kafka_topic_delete
      parameters:
        - in: path
          name: topic
          required: true
          schema:
            type: string
        - in: path
          name: uuid
          required: true
          schema:
            type: string
      responses:
        '204':
          description: No Content
        '400':
          description: Bad Request
        '404':
          description: Not Found
        '500':
          description: Internal Server Error
        '502':
          description: Bad Gateway
components:
  securitySchemes:
    ApiKey:
      description: API key passed as a Bearer token in the Authorization header.
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.